Set/Get the default options for mbregex functions

- « mb_regex_encoding

- mb_scrub »

- PHP Manual
- Multibyte String Functions
- Set/Get the default options for mbregex functions

# mb_regex_set_options

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

mb_regex_set_options — Set/Get the default options for mbregex functions

### Description

mb_regex_set_options(?string `$options` = `null`): string

Sets the default options described by `options` for multibyte regex functions.

### Parameters

`options`

  The options to set. This is a string where each character is an option. To set a mode, the mode character must be the last one set, however there can only be set one mode but multiple options.

  Regex options
  Option | Meaning | Changelog
  --- | --- | ---
  i | Ambiguity match on |
  x | Enables extended pattern form |
  m | `'.'` matches with newlines |
  s | `'^'` -> `'\A'`, `'$'` -> `'\Z'` |
  p | Same as both the `m` and `s` options |
  l | Finds longest matches |
  n | Ignores empty matches |
  e | eval() resulting code | Deprecated as of PHP 7.1.0 and removed as of PHP 8.0.0

  > Note:

  > The `"e"` option has no effect when set through mb_regex_set_options(). Use it with mb_ereg_replace() or mb_eregi_replace().

  Regex syntax modes (only one may be set)
  Mode | Meaning
  --- | ---
  j | Java (Sun java.util.regex)
  u | GNU regex
  g | grep
  c | Emacs
  r | Ruby
  z | Perl
  b | POSIX Basic regex
  d | POSIX Extended regex

### Return Values

The previous options. If `options` is omitted or `null`, it returns the string that describes the current options.

### Changelog

Version | Description
--- | ---
8.0.0 | If the parameter `options` is given and not `null`, the previous options are returned. Formerly, the current options have been returned.
8.0.0 | `options` is nullable now.
8.0.0 | The `"e"` option now throws a ValueError.
7.1.0 | The `"e"` option now emits an `E_DEPRECATED`.

### See Also

- mb_split() - Split multibyte string using regular expression
- mb_ereg() - Regular expression match with multibyte support
- mb_eregi() - Regular expression match ignoring case with multibyte support